From ae9a760f1e228deaa617d82fa70b9360ed935d73 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Wed, 15 Jul 2009 10:30:23 +0200
Subject: [PATCH] jakarta-commons-daemon: Fix build failure on ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 jakarta-commons-daemon-arm-configure.patch |   11 +++++++++++
 jakarta-commons-daemon.spec                |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 jakarta-commons-daemon-arm-configure.patch

diff --git a/jakarta-commons-daemon-arm-configure.patch b/jakarta-commons-daemon-arm-configure.patch
new file mode 100644
index 0000000..972e001
--- /dev/null
+++ b/jakarta-commons-daemon-arm-configure.patch
@@ -0,0 +1,11 @@
+--- daemon-1.0.1.orig/src/native/unix/configure	2009-07-15 04:17:35.953058376 -0400
++++ daemon-1.0.1/src/native/unix/configure	2009-07-15 04:21:40.423059015 -0400
+@@ -2436,6 +2436,8 @@ echo "$as_me: error: Unsupported operati
+     CFLAGS="$CFLAGS -DCPU=\\\"ia64\\\"" ;;
+   s390*)
+     CFLAGS="$CFLAGS -DCPU=\\\"$host_cpu\\\"" ;;
++  arm*)
++    CFLAGS="$CFLAGS -DCPU=\\\"$host_cpu\\\"" ;;
+   bs2000)
+     CFLAGS="$CFLAGS -DCPU=\\\"osd\\\" -DCHARSET_EBCDIC -DOSD_POSIX"
+     supported_os="osd"
diff --git a/jakarta-commons-daemon.spec b/jakarta-commons-daemon.spec
index c092d3f..adab64a 100644
--- a/jakarta-commons-daemon.spec
+++ b/jakarta-commons-daemon.spec
@@ -39,7 +39,7 @@
 
 Name:           jakarta-%{short_name}
 Version:        1.0.1
-Release:        7.8%{?dist}
+Release:        7.8%{?dist}.fa1
 Epoch:          1
 Summary:        Defines API to support an alternative invocation mechanism
 License:        ASL 2.0
@@ -51,6 +51,7 @@ Patch1:          %{name}-execve-path-warning.patch
 Patch2:          %{name}-ia64-configure.patch
 Patch3:          %{name}-s390x-configure.patch
 Patch4:          %{name}-ppc64-configure.patch
+Patch5: 	 %{name}-arm-configure.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 %if %{native}
@@ -110,6 +111,7 @@ Javadoc for %{name}.
 %patch2 -p0
 %patch3 -p0 -b .s390x
 %patch4 -p0 -b .ppc
+%patch5 -p1 -b .arm
 chmod 644 src/samples/*
 %if %{native}
 pushd src/native/unix
@@ -193,6 +195,9 @@ fi
 %endif
 
 %changelog
+* Wed Jul 15 2009 Kedar Sovani <kedars@marvell.com> 1.0.1-7.8.fa1
+- arm configure patch
+
 * Tue Mar 03 2009 Karsten Hopp <karsten@redhat.com> 1.0.1-7.8
 - ppc needs a similar patch
 
-- 
1.5.5.6

